Payment Operations
Get a payment
GET
/
payments
/
{id}
Get a payment
curl --request GET \
--url https://commerce1.on-hellgate.dev/payments/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://commerce1.on-hellgate.dev/payments/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://commerce1.on-hellgate.dev/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additional_information": {},
"amount": 123,
"continuation": {
"error": "<string>",
"success": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distributions": [
{
"amount": 123,
"description": "<string>",
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"order_id": "<string>",
"payment_method": {
"data": {},
"token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"processing": {
"requirement": {
"action": "<string>",
"message": "<string>",
"options": [
{}
]
}
},
"processor": {
"amount_authorized": 123,
"amount_captured": 123,
"amount_refunded": 123,
"merchant_id": "<string>",
"name": "<string>"
},
"refunds": [
{
"amount": 123,
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"distributions": [
{
"amount": 123,
"description": "<string>",
"seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}
],
"settlements": [
{
"amount": 123,
"currency_code": "<string>",
"date": "2023-11-07T05:31:56Z",
"settlement_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
],
"transactions": [
{
"amount": 123,
"ended_at": "2023-11-07T05:31:56Z",
"failure_reasons": [
{
"classifier": "<string>",
"message": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processor_name": "<string>",
"processor_transaction_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
]
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Path Parameters
Payment ID
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
OPEN, AUTHORIZED, ACCEPTED, FAILED, COMPLETED, VOIDED Show child attributes
Show child attributes
⌘I
Get a payment
